Browse Source

Import Posts, fix dates

master
Zach Oglesby 2 months ago
parent
commit
ed63ac491b

+ 5
- 2
blog.org View File

@@ -2,5 +2,8 @@
2 2
 
3 3
 - [[file:index.org][Zach Oglesby]]
4 4
 - blog
5
-  - [[file:blog/2018-11-13-ohno.org][Oh no!]]
6
-  - [[file:blog/2018-12-26-test.org][Test Post]]
5
+  - [[file:blog/2018-12-28-back-to-orgmode.org][Back to orgmode]]
6
+  - [[file:blog/2016-07-22-re-working-docs.org][Reworking Docs]]
7
+  - [[file:blog/2016-04-08-change-pass-gpg-key.org][Change pass gpg key]]
8
+  - [[file:blog/2015-08-22-surface-pro-3.org][Surface Pro 3]]
9
+  - [[file:blog/2015-03-16-khard-owncloud-contacts-for-mutt.org][khard ownCloud Contacts for mutt]]

+ 44
- 0
blog/2015-03-16-khard-owncloud-contacts-for-mutt.org View File

@@ -0,0 +1,44 @@
1
+#+TITLE: khard ownCloud Contacts for mutt
2
+#+DATE: <Mon, 16 Mar 2015 21:40:35 -0400>
3
+
4
+I use [[https://owncloud.org][ownCloud]] to store my contacts and calendar, but until recently this has not been very useful when using
5
+mutt. My memory is not very good, and email address are hard; so I would have to either pull out my phone or open a 
6
+web browser and find a contact. The setup was less than ideal.
7
+
8
+Then I remember that [[https://vdirsyncer.readthedocs.org/en/latest/index.html][vdirsyncer]], the back-end for [[http://lostpackets.de/khal/][khal]] a tool I use for the caldav data also supported carddav downloads. 
9
+I went to the documentation and found that vdirsyncer was pointing people to a tool called [[https://github.com/scheibler/khard/][khard]] for use with the carddav data.
10
+So I configured vdirsyncer to download my contacts and went off to get khard working. 
11
+
12
+#+BEGIN_SRC
13
+[storage my_contacts_local]
14
+# A storage references actual data on a remote server or on the local disk.
15
+# Similar to repositories in OfflineIMAP.
16
+type = filesystem
17
+path = ~/.contacts/
18
+fileext = .vcf
19
+
20
+[storage my_contacts_remote]
21
+type = carddav
22
+url = https://my.owncloud.url/remote.php/carddav/
23
+#username =
24
+#password =
25
+#+END_SRC
26
+
27
+A [[https://pypi.python.org/pypi/pip/][pip]] install (--user) later and it was ready to use. Like khal since the data is already on the
28
+computer the configuration as simple as pointing it to the contacts.
29
+
30
+#+BEGIN_SRC
31
+[addressbooks]
32
+[[contacts]]
33
+path = ~/.contacts/contacts/
34
+[general]
35
+editor = /usr/bin/emacsclient
36
+default_country = USA
37
+#+END_SRC
38
+
39
+
40
+All that was left at that point was to tell mutt what my =query_command= was and I had my contacts list available from within mutt.
41
+
42
+#+BEGIN_SRC
43
+set query_command= "khard mutt --search '%s'"
44
+#+END_SRC

+ 12
- 0
blog/2015-08-22-surface-pro-3.org View File

@@ -0,0 +1,12 @@
1
+#+TITLE: Surface Pro 3
2
+#+DATE: <Sat, 22 Aug 2015 09:31:44 -0400>
3
+
4
+I have had a Microsoft Surface Pro 3 on my desk for about 10 months, I used it here and there for things related to work, or to play a game of Civ.
5
+When I changed jobs, I no longer had a use for Windows and the Surface just sat at the back of my desk sad and lonely. I then started to think about how my iPad
6
+is okay, but many times when I am out I want to do something in Emacs but can't. So I installed Arch Linux (kernel issues prevented me from getting Fedora running
7
+quickly), and now I have a great, light mobile computer that I can do just about anything on.
8
+
9
+Update: Now running Fedora 23 with kernel from [[https://copr.fedoraproject.org/coprs/shvr/surface-pro-3-kernel/][shvr]] until everything makes it into the mainline.
10
+
11
+#+ATTR_HTML: :width 800px
12
+[[file:../img/surface.png]]

+ 17
- 0
blog/2016-04-08-change-pass-gpg-key.org View File

@@ -0,0 +1,17 @@
1
+#+TITLE: Change pass gpg key
2
+#+DATE: <Fri, 08 Apr 2016 16:11:34 -0400>
3
+
4
+I use [[https://www.passwordstore.org/][pass]] as a password manager for a lot of reasons.
5
+One, it uses GPG to secure passwords, and two because it uses git for backups. When I started
6
+to use the tool I created a second GPG key that I was just using for pass, but as time went
7
+on I no longer liked that idea and wanted to move it back to my primary key to take advantage of my
8
+[[https://www.yubico.com/][yubikey]]. The issue was that for the life of me I could not figure out how to do this.
9
+
10
+It turns out that it is very simple. Just use 
11
+#+begin_src bash
12
+pass init $NEW_KEY_ID
13
+#+end_src
14
+After that pass will re-encrypt all of your passwords with the new key. Two git commits later and all of your
15
+passwords are now using the new key. 
16
+
17
+

+ 97
- 0
blog/2016-07-22-re-working-docs.org View File

@@ -0,0 +1,97 @@
1
+#+TITLE: Reworking Docs
2
+#+DATE: <Sun, 24 Jul 2016 19:47:14 -0400>
3
+
4
+In May of this year the docs team, with the help of some great folks from Red Hat
5
+and the CentOS project held a [[https://communityblog.fedoraproject.org/event-report-fedora-docs-fad/][Documentation FAD]]. During that event we discussed a lot of important
6
+topics including the docs team's publishing toolchain, and the barrier to entry that is
7
+[[http:docbook.org][docbook]]. 
8
+
9
+Over the course of the FAD, and after creating a lot of [[https://twitter.com/JediUserStories][User Stories]], the group came to the 
10
+following conclusions:
11
+  1. We need to find ways to help enable community members contribute to documentation
12
+  3. Sharing documentation with Red Hat Content Services is good for everyone
13
+  2. The current Publican setup is not meeting our needs
14
+  4. Most people dislike[fn:3] docbook
15
+
16
+This lead us to create a complex [[https://ethercalc.org/txnb0f8lewsz][requirements matrix]] that [[http://decausemaker.org/][Remy]] did his best at capturing
17
+online, leading to the conclusion that the best solution is to keep with a static publishing
18
+toolchain that supports a less user hostile markup language. 
19
+
20
+To that end the team suggested that we use [[https://blogs.gnome.org/shaunm/][Shaun McCance's]][fn:1] [[https://github.com/projectmallard/pintail/][Pintail]] for publishing, [[http://asciidoctor.org/][AsciiDoc]] 
21
+as the markup language, and a new format for our documentation. The most common question about 
22
+all of this is "Why?" and the easy answer is that they had the best results against the 
23
+requirements, but I hope to give a little more insight into that.
24
+
25
+** Pintail
26
+Publican has been great for the Fedora Docs team of the years, but its real strength is in
27
+docbook based full length docs, and that is not want the docs teams is trying to write anymore.
28
+When coupled with the fact that the site is generated with an extremely old version of 
29
+Publican, last supported on Fedora ~18, it was time for us to move on.
30
+
31
+Pintail, fits the build, because it is simple to use, a simple code base, and well supported by
32
+a responsive upstream. Being written in Python means that members of the Docs Team, and the 
33
+Fedora community at large, are already able to troubleshoot and fix bugs; something that was
34
+not easy to do with Publican. Additional, Shaun has been extremely helpful showing us the ropes
35
+and working on feature requests that are only needed by Fedora. 
36
+
37
+Finally, the tool supports our current and future markdown languages, more on why this is
38
+important in a bit.
39
+
40
+** Asciidoc
41
+[[http://daringfireball.net/projects/markdown/][Markdown]] is probably the most popular markup language around right now, but for a
42
+documentation project it is missing a lot of features and because of that many "flavors" of
43
+markdown [[https://github.com/jgm/CommonMark/wiki/Markdown-Flavors][exist]]. The issue is simple, markdown was not designed for writing documentation
44
+it was developed so that its creator did not have to write HTML tags. This means that it
45
+lacks support for many of the structural elements that make good documentation great. Asciidoc 
46
+was built to support everything that makes docbook great, while keeping users from endlessly 
47
+writing ~<tags>~.[fn:2]
48
+
49
+The fact that it is a great markup language for documentation was only one part of the
50
+reasoning, it turns out that Red Hat is starting to move more and more towards AsciiDoc as
51
+well, and using the same markup will help the teams collaborate that much easier. So while
52
+AsiiDoc many not be the most popular markup language on the planet, and it still may have a
53
+learning curve for some users, it fits the needs of our documentation better than the 
54
+alternatives.
55
+
56
+** New Format
57
+Books are great, everyone reads them (or at least did in school), but they are hard to write
58
+and harder to maintain. So we are not going to write them any more, instead smaller single page
59
+topic based documents will be written that can be grouped into collections of a larger topic.
60
+
61
+For example, a page may be written about disk formatting and be included in a collection about
62
+system configuration, but that same topic could also be reused in another collection where 
63
+formatting a disk is something that needs done. This will not only help to reduce the amount
64
+of documentation that the team needs to maintain, but it will once again allow us to share
65
+content with Red Hat more easily.  
66
+
67
+** The Plan
68
+All of this is a lot of work. Any one of the sections above is a lot of work, but when you
69
+put it all together it is a great deal more. Waiting for everything to be complete would mean
70
+that we would not see the fruits of this plan for at least a year, but in reality it would 
71
+probably be several years. Since fruit is good, as it motivates all of us to keep working,
72
+the plan is to work on this in phases.
73
+
74
+The [[https://pagure.io/docs-fp-o/issue/22][first phase]] will be the implementation of Pintail and a system for continuous [[https://en.wikipedia.org/wiki/Continuous_integration][integration]]
75
+and [[https://en.wikipedia.org/wiki/Continuous_delivery][delivery]]. This means that once the new site is ready we will begin to use it to publish the
76
+current docbook books that are on [[https://docs.fedoraproject.org][docs.fedoraproject.org]] right now.
77
+
78
+Once that is done, we will start the long process of rewriting documents to fit the new style,
79
+using AsciiDoc rather than docbook, publishing new collections of topics as the team decides
80
+that they are ready to publish. That will mean for a period of time we will have both styles of
81
+docs on the site, but it also means that we can focus on writing new documentation without
82
+having to also work on all of the old style docs for every release until we are done.
83
+
84
+** Help Wanted
85
+As mentioned before this is a big project, and we need help. Everything from design and
86
+engineering to writing. If you want to help join us in #fedora-docs or take a look at 
87
+the [[https://pagure.io/docs-fp-o/issue/22][tracking ticket]] for phase one on Pagure. 
88
+
89
+
90
+
91
+
92
+[fn:3] Hate is probably just as accurate
93
+
94
+[fn:2] After thinking about it [[file:2016-07-22-re-working-docs.org][Sparks]] and I had the same
95
+conversation about this at [[https://sparkslinux.wordpress.com/2013/01/18/fudcon-lawrence-day-1/][FUDCon Lawrence]] in 2013.
96
+
97
+[fn:1] He may prefer we refer to it  as [[http://projectmallard.org/][Project Mallard's]] Pintail

+ 0
- 4
blog/2018-11-13-ohno.org View File

@@ -1,4 +0,0 @@
1
-#+TITLE: Oh no!
2
-#+DATE: 2018-11-13 00:00:00
3
-
4
-Oh no

+ 0
- 4
blog/2018-12-26-test.org View File

@@ -1,4 +0,0 @@
1
-#+TITLE: Test
2
-#+DATE: 2018-12-26 00:00:00
3
-
4
-This is a test

+ 9
- 0
blog/2018-12-28-back-to-orgmode.org View File

@@ -0,0 +1,9 @@
1
+#+TITLE: Back to orgmode
2
+#+DATE: <Fri, 28 Dec 2018 22:38:09 -0500>
3
+
4
+I have moved my [[https://git.ghostcorp.net/zach/z-o-co][blog]] back to being generated by orgmode.
5
+This time around it I am only using org-publish, so it
6
+is very simple. I may or may not try and add back some
7
+IndieWeb features over time, but I am not blogging much
8
+as of late, so it may take some time to find the motivation
9
+for that. 

BIN
img/fav.ico View File


BIN
img/haskell-logo.png View File


BIN
img/surface.png View File


BIN
img/zoglesby.jpg View File


+ 1
- 1
index.org View File

@@ -20,7 +20,7 @@
20 20
   + [[https://matrix.to/#/@zach:ghostcorp.net][@zach:ghostcorp.net]] on [[https://matrix.org][Matrix]]
21 21
   + [[https://keybase.io/zoglesby][zoglesby]] on keybase
22 22
     
23
-** Blog
23
+** [[file:blog.html][Blog]]
24 24
    #+INCLUDE: blog.org :lines "5-9" :only-contents t
25 25
 
26 26
 ** Projects

+ 36
- 0
new.sh View File

@@ -0,0 +1,36 @@
1
+#!/usr/bin/env bash
2
+
3
+if [ "$1" == "" ]; then
4
+  echo "Usage: new.sh 'Title of the Post'"
5
+  exit 1
6
+fi
7
+
8
+cwd="$( cd "${BASH_SOURCE[0]%/*}" && pwd )"
9
+
10
+# Taken from https://gist.github.com/saml/4674977
11
+title="$1"
12
+max_length="${2:-48}"
13
+slug="$({
14
+    tr '[:upper:]' '[:lower:]' | tr -cs '[:alnum:]' '-' 
15
+} <<< "$title")"
16
+slug="${slug##-}"
17
+slug="${slug%%-}"
18
+slug="${slug:0:$max_length}"
19
+
20
+date="$(date '+%Y-%m-%d')"
21
+file="$cwd/blog/$date-$slug.org"
22
+
23
+longdate="$(date -R)"
24
+
25
+if [ -f "$file" ]; then
26
+  echo "A post with that title already exists from today's date."
27
+  exit 1
28
+fi
29
+
30
+echo "#+TITLE: $title"          >> "$file"
31
+echo "#+DATE: <$longdate>"      >> "$file"
32
+echo                            >> "$file"
33
+echo "Created: $file"
34
+echo "Done."
35
+
36
+emacsclient -n $file

Loading…
Cancel
Save